Subject: Re: DLL naming conventions
From: "David A. Cobb" <[email-masked]>
To: Bernard Dautrevaux <[email-masked]>
Cc: "'Gary V. Vaughan'" <[email-masked]>, Charles Wilson <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 05 Sep 2000 17:28:16 -0400

Bernard Dautrevaux wrote:

> > -----Original Message-----
> > From: Gary V. Vaughan [mailto:[email-masked]]
> > Subject: Re: DLL naming conventions
> >
>
>         <skipped>
>

<clip/>

> This scheme seems to work for me also; the only think I would like to have,
> when libtool is used to build a DLL, is the ability to say to libtool:
> please name the DLL itself <something>foo.dll instead of the default
> libfoo.dll; even if cygwin insists that there libraries should be named
> libfoo.dll, so that they may conflict with others, I would be able to name
> my own dlls with some unique name so that I can blame cygwin if my customers
> have problems with conflicting libraries :-)
>

We seem to have two whole categories of user mixed here.  Some of us have our
machines set up as development platforms and use the Cyg/Mng/Whatever packages
to build bigger packages.  Most of this thread appears to address that class of
user.

Some just want to /use/ the darn thing for some other effort!  For most of the
tools, all I want is a binary tarball and the simplest installation I can get.
We _need_ to deploy "products" that work for this class of user without stepping
on the other things she installed last week.

IMHO, this is why Windoz walked all over XNix; even tho' XNix was there first.
Windoz is /hard/ on developers, but several million "simple" /users/ never see
the difficulty -- except, of course, at the CompUSA cash register.
--
David A. Cobb, Software Engineer, Public Access Advocate
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Send a message to [email-masked]